Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569477 - Applications hang while trying to lock a file on NFSv3 share when nfs-lock.service is restarted
Summary: Applications hang while trying to lock a file on NFSv3 share when nfs-lock.se...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 11:08 UTC by Rinku
Modified: 2019-06-27 01:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 22:51:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 7 Steve Dickson 2018-05-11 12:25:21 UTC
I'm not seeing this problem

mount -o v3 rhel7srv:/home/tmp /mnt/tmp

rhel7$ lck /mnt/tmp/foo
locking: /mnt/tmp/foo
GotLock(29602) 

rhel7srv# systemctl restart nfs-lock.service

rhel7$ lck /mnt/tmp/foo
locking: /mnt/tmp/foo
GotLock(29620) 

What am I missing?

Comment 9 Yongcheng Yang 2019-06-27 01:40:46 UTC
Have covered the scenario of Comment #7 into our testcase now.


Note You need to log in before you can comment on or make changes to this bug.